module Tests

import TAP
import Tests.Reduce
import Tests.Equal
import Tests.Typechecker
import Tests.Lexer
import Tests.Parser
import Tests.FromPTerm
import System


allTests : List Test
allTests = [
  Reduce.tests,
  Equal.tests,
  Typechecker.tests,
  Lexer.tests,
  Parser.tests,
  FromPTerm.tests
]

main : IO ()
main = TAP.main !(getTestOpts "quox test suite") ["all" :- allTests]
